/*
 * AbstractShape.java
 *
 * version: 30th October 2008, 15:44
 * author: yanas
 */
package cz.yanas.pb162.shapes;

/**
 * Represents an abstract shape.
 *
 * @author yanas
 */
public abstract class AbstractShape implements Shape {

    /** the color of the shape, the only common attribute of all shapes */
    private final Color color;

    /**
     * Creates an instance of the <code>AbstractShape</code> class using the given color.
     *
     * @param color the color of the shape
     */
    public AbstractShape(Color color) {
        this.color = color;
    }

    public Color getColor() {
        return color;
    }

    @Override
    public abstract String toString();

}
