/*
 * Circle.java
 *
 * version: 30th October 2008, 15:46
 * author: yanas
 */
package cz.yanas.pb162.shapes;

/**
 * Represents a circle.
 *
 * @author yanas
 */
public final class Circle extends AbstractShape {

    /** the centre of the circle */
    private final Point centre;
    /** the radius of the circle */
    private final double radius;

    /**
     * Creates an instance of the <code>Circle</code> class using the parameters provided.
     *
     * @param color the color of the circle
     * @param centre the centre of the cirle
     * @param radius the radius of the circle
     */
    public Circle(Color color, Point centre, double radius) {
        super(color);

        this.centre = centre;
        this.radius = radius;
    }

    public Point getCentre() {
        return centre;
    }

    public double getRadius() {
        return radius;
    }

    public double getArea() {
        return Math.PI * radius * radius;
    }

    public double getCircumference() {
        return 2.0 * Math.PI * radius;
    }

    @Override
    public String toString() {
        return getClass().getSimpleName() + "(" + centre + ", " + radius + ")";
    }

}
