/*
 * Point.java
 *
 * version: 30th October 2008, 15:50
 * author: yanas
 */
package cz.yanas.pb162.shapes;

/**
 * Represents a planar point.
 *
 * @author yanas
 */
public final class Point {

    /** the x-coordinate of the point */
    private final double x;
    /** the y-coordinate of the point */
    private final double y;

    /**
     * Creates an instance of the <class>Point</class> class for the given coordinates.
     *
     * @param x the x-coordinate
     * @param y the y-coordinate
     */
    public Point(double x, double y) {
        this.x = x;
        this.y = y;
    }

    public double getX() {
        return x;
    }

    public double getY() {
        return y;
    }

    @Override
    public String toString() {
        return "[" + x + ", " + y + "]";
    }

}
