/*
 * Shape.java
 *
 * version: 30th October 2008, 15:44
 * author: yanas
 */
package cz.yanas.pb162.shapes;

/**
 * The interface of a planar shape.
 *
 * @author yanas
 */
public interface Shape {

    /**
     * Returns the color of the shape.
     *
     * @return an instance of the <code>Color</code> enum
     */
    public Color getColor();

    /**
     * Returns the area of the shape.
     *
     * @return a <code>double</code> value representing the area
     */
    public double getArea();

    /**
     * Returns the circumference of the shape.
     *
     * @return a <code>double</code> value representing the circumference
     */
    public double getCircumference();

}
