/*
 * Square.java
 *
 * version: 30th October 2008, 15:48
 * author: yanas
 */
package cz.yanas.pb162.shapes;

/**
 * Represents a square.
 *
 * @author yanas
 */
public final class Square extends AbstractShape {

    /** the length of one side of the square */
    private final double side;

    /**
     * Constructs an instance of the <code>Square</code> class using the parameters provided.
     *
     * @param color the color of the square
     * @param side the side of the square
     */
    public Square(Color color, double side) {
        super(color);

        this.side = side;
    }

    public double getSide() {
        return side;
    }

    public double getArea() {
        return side * side;
    }

    public double getCircumference() {
        return 4.0 * side;
    }

    @Override
    public String toString() {
        return getClass().getSimpleName() + "(" + side + ")";
    }

}
